← Visas instrumentu kategorijas
150 darba rīki

Teksta un sarakstu rīki

Notīriet, salīdziniet un izmēriet saturu, neaugšupielādējot darba datus.

Centrēt teksta rindas

Centrējiet katru rindu precīzā Unicode rakstzīmju platumā, saglabājot tukšās rindas un noraidot destruktīvu saīsināšanu.

Atvērt rīku →

Noņemt prefiksu no vārdiem

Noņemiet vienu precīzu sākuma fragmentu no atbilstošiem Unicode vārdiem un atstājiet pieturzīmes, atstarpes un neatbilstošus vārdus neskartus.

Atvērt rīku →

Noņemt Sufiksu no Vārdiem

Noņemiet vienu precīzu galotni no atbilstošiem Unicode vārdiem, neizlīdzinot atdalītājus un nemainot vārdus, kuriem nav šīs sufiksa.

Atvērt rīku →

Ievietot atdalītāju starp rakstzīmēm

Novietojiet izvēlēto atdalītāju starp Unicode koda punktiem, nesadalot surrogate pārus, piemēram, emocijzīmes, nederīgās pusēs.

Atvērt rīku →

Citēt katru teksta rindiņu

Aptiniet katru rindu dubultpēdiņās, vienpēdiņās vai atpakaļapostrofos, saglabājot tukšās rindas un sākotnējo rindu secību.

Atvērt rīku →

Noņemt pēdiņas no teksta rindām

Noņemiet vienu līdzsvarotu ārējo pēdiņu pāri no katras rindas, izmantojot automātisku vai skaidri norādītu pēdiņu stila saskaņošanu.

Atvērt rīku →

Citēt katru vārdu

Aptiniet katru Unicode vārda marķieri ar izvēlētu pēdiņu rakstzīmi, saglabājot komatus, pieturzīmes un sākotnējo atstarpi.

Atvērt rīku →

Noņemt pēdiņas no vārdiem

Atsevišķi atdaliet citētus Unicode vārdus, ja abi pēdiņu simboli sakrīt, neizdzēšot no prozas nesaistītas pēdiņas.

Atvērt rīku →

Normalizēt tukšās rindas

Ierobežojiet secīgu tukšu rindu skaitu līdz precīzam maksimumam, saglabājot atkāpi un katru netukšo rindu.

Atvērt rīku →

Pārvērst atstarpes par jaunām rindām

Pārvērt katru ar atstarpēm atdalītu žetonu vienā rindā un deterministiski salīdzini atkārtotās atstarpes, tabulācijas un esošos rindu pārtraukumus.

Atvērt rīku →

Jaunu rindu pārvēršana par atdalītāju

Apvieno netukšās teksta rindas ar konfigurējamu atdalītāju, vienlaikus noņemot tikai katras rindas ārējo atstarpi.

Atvērt rīku →

Vārdu biežuma analizators

Kārto Unicode vārdus pēc sastopamības skaita ar pielāgojamu minimālo garumu, rezultātu limitu un reģistrjutīgu salīdzināšanu.

Atvērt rīku →

Kārtot burtus iekšpusē vārdiem

Kārtojiet Unicode burtus un ciparus katrā vārdā atsevišķi, nepārvietojot pieturzīmes vai pašus vārdus.

Atvērt rīku →

Kārtot visas teksta rakstzīmes

Sakārtojiet katru Unicode koda punktu visā ievadē ar izvēles atstarpju noņemšanu un skaidri norādītu augošu vai dilstošu secību.

Atvērt rīku →

Skaitļu teksta teikumi

Liec katru noteikto teikumu savā numurētā rindā ar konfigurējamu sākuma vērtību un trim lasāmiem marķieru stiliem.

Atvērt rīku →

Skaitlis Teksts Rindkopas

Numurējiet rindkopas, kas atdalītas ar tukšu rindu, saglabājot katras rindkopas iekšējos rindu pārtraukumus un formatējumu.

Atvērt rīku →

Dublēt teikumu meklētājs

Uzskaitiet atkārtotus pilnus teikumus ar skaitu, izmantojot skaidru reģistrjutīgu vai reģistrnesensitīvu salīdzinājumu.

Atvērt rīku →

Unikāls teikumu nosūcējs

Saglabājiet katra pilnā teikuma pirmo parādīšanos un noņemiet vēlākos dublikātus pēc izvēlētas reģistrjutības kārtulas.

Atvērt rīku →

Base32 teksta kodētājs un dekodētājs

Konvertējiet UTF-8 tekstu uz kanonisku RFC 4648 Base32 vai precīzi atkodējiet papildinātu vai nepapildinātu Base32 vērtību.

Atvērt rīku →

Base32hex teksta kodētājs un dekodētājs

Kodēt un dekodēt UTF-8 ar paplašināto heksadecimālo Base32 alfabētu, kas definēts RFC 4648 7. sadaļā.

Atvērt rīku →

Base45 teksta kodētājs un dekodētājs

Pārveidojiet UTF-8 tekstu ar kompakto RFC 9285 Base45 alfabētu, ko izmanto QR orientētos datu formātos.

Atvērt rīku →

Base58 Bitcoin teksta kodētājs un dekodētājs

Konvertējiet UTF-8 baitus, izmantojot Bitcoin Base58 alfabētu, vienlaikus precīzi saglabājot sākuma nulles baitus.

Atvērt rīku →

Ascii85 teksta kodētājs un dekodētājs

Kodēt UTF-8 piecu rakstzīmju Ascii85 grupās vai dekodēt stingrus Adobe saderīgus datus ar izvēles norobežotājiem un z saspiešanu.

Atvērt rīku →

Citētā drukājamā teksta kodētājs un dekodētājs

Kodējiet UTF-8 pasts-stila tekstu kā RFC 2045 quoted-printable vai atkodējiet validētus lielos burtos rakstītus bēgšanas simbolus un pārlūkprogrammas normalizētus rindu pārtraukumus.

Atvērt rīku →